# Retrieve a facet query for an entity

Retrieves a serialized facet query that can be used to filter search results to items related to a specific entity.

Endpoint: GET /api/search/{id}
Version: v1.0
Security: OAuth2.0

## Path parameters:

  - `id` (string, required)
    Entity ID or identifier, for example, 12345 or entity.

## Response 200 fields (application/json):

  - `query` (string,null)

  - `filters` (array,null)

  - `filters.name` (string,null)

  - `filters.label` (string,null)

  - `filters.type` (string,null)

  - `filters.values` (array,null)

  - `filters.values.value` (string,null)

  - `filters.values.label` (string,null)

  - `filters.values.data` (string,null)

  - `filters.nested_values` (array,null)

  - `filters.definition` (string,null)

  - `filters.operator` (string)
    Enum: "None", "Equals", "LessThan", "GreaterThan", "Between", "StartsWith", "EndsWith", "Contains", "FacetEquals", "DoesNotContain", "DoesNotStartWith", "DoesNotEndWith", "LessThanOrEquals", "GreaterThanOrEquals", "DoesNotEqual", "AnyOf", "AllOf", "NoneOf", "Missing", "Exists", "Changed"

  - `filters.removeQuery` (string,null)

  - `filters.dynamic` (boolean)

  - `filters.nested` (boolean)

  - `filters.group` (string,null)

  - `filters.visible` (boolean)

  - `filters.multi_select` (boolean)

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 400 fields

## Response 401 fields
